Prosíme přihlašte se nebo zaregistrujte.

Přihlašte se svým uživatelským jménem a heslem.
World of Warcraft

Novinky: Školení nejen k OS Ubuntu pro širokou veřejnost, více informací zde.

Autor Téma: Nejde instalace Brother HL-2130 - NTB Asus F5RL - Lubuntu 16.04.2 LTS  (Přečteno 1119 krát)

petr letocha

  • Návštěvník
  • *
  • Příspěvků: 1
  • Karma: +0/-0
    • Zobrazit profil
Dobrý den, prosím o radu jak postupovat při instalaci tiskárny. Jsem čerstvý uživatel Linuxu.  Tiskárnu systém po připojení přes USB nedetekuje. Přes Systemove nastroje/printers se mi v dialogovém panelu Printers-localhost zobrazí "Printers service not available. Start the service on this computer on connect to another server."
Na stránce support/brother.com jsem stahl ovaladač pro verzi deb.
Dále jsem zápisem přes LX Terminal postupoval dle instrukcí

gunzip linux-brprinter-installer-2.1.1-1.gz

su

bash linux-brprinter-installer-2.1.1-1 HL-2130

Dále proběhne.

You are going to install following packages.
   hl2130lpr-2.1.0-1.i386.deb
   cupswrapperHL2130-2.0.4-2.i386.deb
OK? [y/N] ->y

Mám:1 http://cz.archive.ubuntu.com/ubuntu xenial InRelease
Stahuje se:2 http://cz.archive.ubuntu.com/ubuntu xenial-updates InRelease [102 kB]
Stahuje se:3 http://cz.archive.ubuntu.com/ubuntu xenial-backports InRelease [102 kB]
Stahuje se:4 http://security.ubuntu.com/ubuntu xenial-security InRelease [102 kB]
Stahuje se:5 http://cz.archive.ubuntu.com/ubuntu xenial-updates/main amd64 Packages [544 kB]
Stahuje se:6 http://cz.archive.ubuntu.com/ubuntu xenial-updates/main i386 Packages [528 kB]
Stahuje se:7 https://repo.skype.com/deb stable InRelease [4 487 B]             
Stahuje se:8 http://security.ubuntu.com/ubuntu xenial-security/main amd64 Packages [276 kB]
Stahuje se:9 https://deb.opera.com/opera-stable stable InRelease [2 592 B]     
Ign:7 https://repo.skype.com/deb stable InRelease                             
Stahuje se:10 http://cz.archive.ubuntu.com/ubuntu xenial-updates/main Translation-en [220 kB]
Stahuje se:11 https://repo.skype.com/deb stable/main amd64 Packages [1 408 B] 
Stahuje se:12 http://cz.archive.ubuntu.com/ubuntu xenial-updates/restricted amd64 Packages [7 772 B]
Stahuje se:13 http://cz.archive.ubuntu.com/ubuntu xenial-updates/restricted i386 Packages [7 772 B]
Stahuje se:14 http://cz.archive.ubuntu.com/ubuntu xenial-updates/restricted Translation-en [2 548 B]
Stahuje se:15 http://cz.archive.ubuntu.com/ubuntu xenial-updates/universe amd64 Packages [471 kB]
Stahuje se:16 https://deb.opera.com/opera-stable stable/non-free amd64 Packages [1 848 B]
Stahuje se:17 https://deb.opera.com/opera-stable stable/non-free i386 Packages [1 817 B]
Stahuje se:18 http://cz.archive.ubuntu.com/ubuntu xenial-updates/universe i386 Packages [456 kB]
Stahuje se:19 http://security.ubuntu.com/ubuntu xenial-security/main i386 Packages [263 kB]
Stahuje se:20 http://cz.archive.ubuntu.com/ubuntu xenial-updates/universe Translation-en [185 kB]
Stahuje se:21 http://cz.archive.ubuntu.com/ubuntu xenial-updates/multiverse amd64 Packages [8 928 B]
Stahuje se:22 http://cz.archive.ubuntu.com/ubuntu xenial-updates/multiverse i386 Packages [7 996 B]
Stahuje se:23 http://cz.archive.ubuntu.com/ubuntu xenial-updates/multiverse Translation-en [4 460 B]
Stahuje se:24 http://cz.archive.ubuntu.com/ubuntu xenial-backports/main amd64 Packages [4 684 B]
Stahuje se:25 http://cz.archive.ubuntu.com/ubuntu xenial-backports/main i386 Packages [4 676 B]
Stahuje se:26 http://cz.archive.ubuntu.com/ubuntu xenial-backports/universe amd64 Packages [5 624 B]
Stahuje se:27 http://cz.archive.ubuntu.com/ubuntu xenial-backports/universe i386 Packages [5 620 B]
Stahuje se:28 http://cz.archive.ubuntu.com/ubuntu xenial-backports/universe Translation-en [2 872 B]
Stahuje se:29 http://security.ubuntu.com/ubuntu xenial-security/main Translation-en [118 kB]
Stahuje se:30 http://security.ubuntu.com/ubuntu xenial-security/restricted amd64 Packages [7 420 B]
Stahuje se:31 http://security.ubuntu.com/ubuntu xenial-security/restricted i386 Packages [7 420 B]
Stahuje se:32 http://security.ubuntu.com/ubuntu xenial-security/restricted Translation-en [2 428 B]
Stahuje se:33 http://security.ubuntu.com/ubuntu xenial-security/universe amd64 Packages [125 kB]
Stahuje se:34 http://security.ubuntu.com/ubuntu xenial-security/universe i386 Packages [112 kB]
Stahuje se:35 http://security.ubuntu.com/ubuntu xenial-security/universe Translation-en [64,7 kB]
Staženo 3 761 kB za 4s (759 kB/s)         
Načítají se seznamy balíků… Hotovo
W: Chyba GPG: https://repo.skype.com/deb stable InRelease: Následující podpisy nemohly být ověřeny, protože není dostupný veřejný klíč: NO_PUBKEY 1F3045A5DF7587C3
W: The repository 'https://repo.skype.com/deb stable InRelease' is not signed.
N: Data from such a repository can't be authenticated and is therefore potentially dangerous to use.
N: See apt-secure(8) manpage for repository creation and user configuration details.
Načítají se seznamy balíků… Hotovo
Vytváří se strom závislostí       
Načítají se stavové informace… Hotovo
Balík ia32-libs není dostupný, ale jiný balík se na něj odkazuje.
To může znamenat že balík chybí, byl zastarán, nebo je dostupný
pouze z jiného zdroje
Nicméně následující balíky jej nahrazují:
  lib32ncurses5 lib32z1

E: Balík „ia32-libs“ nemá kandidáta pro instalaci
dpkg -x hl2130lpr-2.1.0-1.i386.deb /
dpkg -x cupswrapperHL2130-2.0.4-2.i386.deb /
dpkg-deb: vytvářím balík „hl2130lpr“ v „hl2130lpr-2.1.0-1a.i386.deb“.
dpkg -b ./brother_driver_packdir hl2130lpr-2.1.0-1a.i386.deb
dpkg-deb: vytvářím balík „cupswrapperhl2130“ v „cupswrapperHL2130-2.0.4-2a.i386.deb“.
dpkg -b ./brother_driver_packdir cupswrapperHL2130-2.0.4-2a.i386.deb
dpkg -i --force-all hl2130lpr-2.1.0-1a.i386.deb
(Načítá se databáze … nyní je nainstalováno 236953 souborů a adresářů.)
Připravuje se nahrazení hl2130lpr-2.1.0-1a.i386.deb …
Rozbaluje se hl2130lpr:i386 (2.1.0-1) přes (2.1.0-1) …
Nastavuje se balík hl2130lpr:i386 (2.1.0-1) …
dpkg -i --force-all cupswrapperHL2130-2.0.4-2a.i386.deb
(Načítá se databáze … nyní je nainstalováno 236953 souborů a adresářů.)
Připravuje se nahrazení cupswrapperHL2130-2.0.4-2a.i386.deb …
lpadmin: Unable to connect to server: Bad file descriptor
Rozbaluje se cupswrapperhl2130:i386 (2.0.4-2) přes (2.0.4-2) …
Nastavuje se balík cupswrapperhl2130:i386 (2.0.4-2) …
lpinfo: Bad file descriptor
lpinfo: Bad file descriptor
lpinfo: Bad file descriptor
lpadmin: Unable to connect to server: Bad file descriptor
###############################ls: cannot access '/usr/share/ppd/*.ppd': No such file or directory
#
lpinfo: Bad file descriptor

0 (I): Specify IP address.
1 (A): Auto. (usb://dev/usblp0)

select the number of destination Device URI. ->1

lpadmin -p HL2130 -v usb://dev/usblp0 -E -P /usr/share/cups/model/HL2130.ppd
lpadmin: Unable to connect to server: Bad file descriptor
Test Print? [y/N] ->y

wait 5s.
echo HL2130 \| lpr  -P HL2130
lpr: Bad file descriptor
Hit Enter/Return key.

Ale instalace se nedokončí a strana nevytiskne.
Předem děkuji za radu.

Petr Letocha Brno
« Poslední změna: 04 Červen 2017, 09:09:59 od petr letocha »

Beetljuice

  • Stálý člen
  • ***
  • Příspěvků: 824
  • Karma: +43/-5
    • Zobrazit profil
Re:Nejde instalace Brother HL-2130 - NTB Asus F5RL - Lubuntu 16.04.2 LTS
« Odpověď #1 kdy: 09 Červen 2017, 12:23:20 »
Vyřešeno viz souběžný dotaz na Abclinuxu.cz. Bylo nutné doinstalovat tiskový server CUPS
Kód: [Vybrat]
sudo apt-get install cups
Aj dont spíík ííngliš :)